Description

Hello All,

When I am running the command

foreman-installer --scenario foreman-proxy-content                    --foreman-proxy-content-parent-fqdn           "FQDN"                   

--foreman-proxy-register-in-foreman           "true"                    --FQDN"                    --foreman-proxy-oauth-consumer-key            ""      

--foreman-proxy-oauth-consumer-secret         "                    --foreman-proxy-content-pulp-oauth-secret     ""                   

--foreman-proxy-content-certs-tar             "/root/.com-certs.tar"                    --puppet-server-foreman-url                   "https://parent

foreman"

I get this eerror:

/usr/share/gems/gems/kafo-2.0.0/lib/kafo/data_type.rb:29:in `register_type': Data type Foreman_proxy::ListenOn is already

registered, cannot be re-registered (ArgumentError)

from /usr/share/gems/gems/kafo-2.0.0/lib/kafo/data_type_parser.rb:22:in `block in register'

from /usr/share/gems/gems/kafo-2.0.0/lib/kafo/data_type_parser.rb:20:in `each'

from /usr/share/gems/gems/kafo-2.0.0/lib/kafo/data_type_parser.rb:20:in `register'

from /usr/share/gems/gems/kafo-2.0.0/lib/kafo/configuration.rb:343:in `block (2 levels) in register_data_types'

from /usr/share/gems/gems/kafo-2.0.0/lib/kafo/configuration.rb:342:in `each'

from /usr/share/gems/gems/kafo-2.0.0/lib/kafo/configuration.rb:342:in `block in register_data_types'

from /usr/share/gems/gems/kafo-2.0.0/lib/kafo/configuration.rb:341:in `each'

from /usr/share/gems/gems/kafo-2.0.0/lib/kafo/configuration.rb:341:in `register_data_types'

from /usr/share/gems/gems/kafo-2.0.0/lib/kafo/configuration.rb:96:in `modules'

from /usr/share/gems/gems/kafo-2.0.0/lib/kafo/configuration.rb:207:in `params'

from /usr/share/gems/gems/kafo-2.0.0/lib/kafo/configuration.rb:217:in `preset_defaults_from_puppet'

from /usr/share/gems/gems/kafo-2.0.0/lib/kafo/scenario_manager.rb:208:in `load_and_setup_configuration'

from /usr/share/gems/gems/kafo-2.0.0/lib/kafo/scenario_manager.rb:108:in `show_scenario_diff'

from /usr/share/gems/gems/kafo-2.0.0/lib/kafo/scenario_manager.rb:115:in `check_scenario_change'

from /usr/share/gems/gems/kafo-2.0.0/lib/kafo/kafo_configure.rb:78:in `initialize'

from /usr/share/gems/gems/clamp-1.0.0/lib/clamp/command.rb:133:in `new'

from /usr/share/gems/gems/clamp-1.0.0/lib/clamp/command.rb:133:in `run'

from /usr/share/gems/gems/kafo-2.0.0/lib/kafo/kafo_configure.rb:163:in `run'

from /usr/sbin/foreman-installer:8:in `<main>'

Could someone help please.

History

#1 - 04/19/2018 07:28 PM - Anonymous

- Project changed from Foreman to Installer

- Category deleted (Proxy gateway)

I would also suggest asking the question in "theforeman" irc channel and/or https://community.theforeman.org/.

#2 - 04/19/2018 07:30 PM - Mahdi  Albehadili

Dmitri Dolguikh wrote:

I would also suggest asking the question in "theforeman" irc channel and/or https://community.theforeman.org/.
 Thanks I wasn't so sure since it is something to do with proxy and foreman at the same time.

#3 - 05/02/2018 11:39 AM - Ewoud Kohl van Wijngaarden

- Status changed from New to Feedback

I would suspect you are mixing a Foreman version with a mismatched Katello version. Could you share the versions you're using?
